## tslib 0.0.1-15

=== debian/changelog ===
tslib (0.0.1-15) unstable; urgency=low
 
  * remove unnecessary complexity
    Since the kernel touchscreen driver now actually works, no need
    for these over-elaborate tweaks here.

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  4 Apr 2005 13:38:00 +0300

tslib (0.0.1-14) unstable; urgency=low

  * Optimize for latest kernel

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 11 Mar 2005 15:29:00 +0200

tslib (0.0.1-13) unstable; urgency=low

  * Minor fix

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue,  1 Mar 2005 14:27:00 +0200

tslib (0.0.1-12) unstable; urgency=low

  * upstream update, bump shlibs 

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed, 23 Feb 2005 19:15:41 +0200

tslib (0.0.1-11) unstable; urgency=low

  * comment pressure module out in ts.conf

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 15 Feb 2005 13:59:57 +0200

tslib (0.0.1-10) unstable; urgency=low

  * New pressure filter for touchscreen
  * Fix a horrible bug

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Fri, 11 Feb 2005 13:02:29 +0200

tslib (0.0.1-9) unstable; urgency=low

  * update from leukkunen
  * introduces new symbols - update shlibs

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Wed,  9 Feb 2005 16:40:32 +0200

tslib (0.0.1-8) unstable; urgency=low

  * drop ts_calibrate and depend on tscalib [arm]
  * build-depend on automake, libtool

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 17 Jan 2005 15:27:40 +0200

tslib (0.0.1-7) unstable; urgency=low

  * Change text too

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon, 13 Dec 2004 15:10:05 +0200

tslib (0.0.1-6) unstable; urgency=low

  * Changed background color to avoid screen blanking 

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue,  7 Dec 2004 13:30:04 +0200

tslib (0.0.1-5) unstable; urgency=low

  * Added timing out

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 30 Nov 2004 14:12:45 +0200

tslib (0.0.1-4) unstable; urgency=high
  * Fix /etc/ts.conf

 -- Lauri Leukkunen <lauri.leukkunen@nokia.com>  Fri, 22 Oct 2004 11:00:00 +0300

tslib (0.0.1-3) unstable; urgency=high
  * Set --datadir

 -- Lauri Leukkunen <lauri.leukkunen@nokia.com>  Fri, 22 Oct 2004 11:00:00 +0300

tslib (0.0.1-2) unstable; urgency=high
  * Fix tslib to work with input layer correctly

 -- Lauri Leukkunen <lauri.leukkunen@nokia.com>  Thu, 14 Oct 2004 14:24:00 +0300

tslib (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Lauri Leukkunen <lauri.leukkunen@nokia.com>  Wed, 26 May 2004 14:56:00 +0300
