## tslib 0.0.1-18embed1

=== debian/changelog ===
tslib (0.0.1-18) unstable; urgency=low

  * move development tools to -dev package

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 14 Jun 2005 16:32:16 +0300

tslib (0.0.1-17) unstable; urgency=low

  * Update calibration defaults to match current display

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Tue, 14 Jun 2005 15:57:28 +0300

tslib (0.0.1-16) unstable; urgency=low

  * Drop tscalib dependency, and provide default pointercal file instead

 -- Riku Voipio <ext-riku.voipio@nokia.com>  Mon,  9 May 2005 13:52:36 +0300
