=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,9 @@
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 	rm -f $(CURDIR)/debian/tmp/usr/bin/ts_calibrate
 
-	install -c -m 644 debian/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf
+	install -c -m 644 etc/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf
+	install -c -m 644 etc/pointercal $(CURDIR)/debian/tmp/etc/pointercal
+	install -c -m 644 etc/pointercal.default $(CURDIR)/debian/tmp/etc/pointercal.default
 
 
 # Build architecture-independent files here.
