## tslib 0.1.1-6

=== debian/changelog ===
tslib (0.1.1-6) unstable; urgency=low

  * Added pointercal-ls041y3-RX-37.default.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu,  6 Jul 2006 13:42:32 +0000

tslib (0.1.1-5) unstable; urgency=low

  * Added pointercal-ls041y3_b.default

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  5 Apr 2006 18:48:19 +0300

tslib (0.1.1-4) unstable; urgency=low

  * Clip and invert pressure values.
  * Don't install *.la files.
  * Move plugins to /usr/lib from /usr/share (closes: N#25328).

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  5 Apr 2006 11:15:11 +0000

tslib (0.1.1-3) unstable; urgency=low

  * pointercal-lph8923.default: minor bug with values fixed 

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Fri,  3 Mar 2006 16:38:06 +0200

tslib (0.1.1-2) unstable; urgency=low

  * put all 4 pointercal-* files 
    (only pointercal*default were copied before)

 -- Ed Bartosh <eduard.bartosh@nokia.com>  Thu,  2 Mar 2006 16:46:39 +0200

tslib (0.1.1-1) unstable; urgency=low

  * first rx-34 build 
  * added pointercal files for both panel types

 -- Eduard Bartosh <ed@ok.research.nokia.com>  Thu,  2 Mar 2006 11:28:40 +0200
