=== debian/control ===
Source: tslib
Priority: optional
Maintainer: Lauri Leukkunen <lauri.leukkunen@nokia.com>
Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.8, libtool
Standards-Version: 3.6.0

Package: tslib-dev
Section: devel
Architecture: any
Depends: tslib (= ${Source-Version})
Description: tslib development files
 

Package: tslib
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: osso-applet-screencalibration (<= 1.3-1)
Description: tslib touchscreen library
