## tslib 0.1.1-7

=== debian/changelog ===
tslib (0.1.1-7) unstable; urgency=low

  * Remove tslib.conffiles; debhelper does this for us.

 -- Daniel Stone <daniel.stone@nokia.com>  Tue,  4 Jul 2006 11:26:51 +0000
