=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tslib
 Priority: optional
 Maintainer: Lauri Leukkunen <lauri.leukkunen@nokia.com>
-Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.8, libtool
+Build-Depends: debhelper (>= 4.0.0), autoconf, automake1.8, libtool, linux-kernel-headers (>= 2.6.16.osso3)
 Standards-Version: 3.6.0
 
 Package: tslib-dev
