=== debian/rules ===
--- 
+++ 
@@ -81,9 +81,6 @@
 	rm -f $(CURDIR)/debian/tmp/usr/bin/ts_calibrate
 
 	install -c -m 644 etc/ts.conf $(CURDIR)/debian/tmp/etc/ts.conf
-	install -c -m 644 etc/pointercal-* $(CURDIR)/debian/tmp/etc/
-	#install -c -m 644 etc/pointercal.default $(CURDIR)/debian/tmp/etc/pointercal.default
-
 
 # Build architecture-independent files here.
 binary-indep: build install
