## tslib 0.1.1-10

=== debian/changelog ===
tslib (0.1.1-10) unstable; urgency=low

  * Remove tslib.conffiles.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  6 Jun 2007 17:14:02 +0300

tslib (0.1.1-9) unstable; urgency=low

  * Disable filtering: all events from the kernel are good.
  * Change maintainer to myself.
  * Don't generate build system files.

 -- Daniel Stone <daniel.stone@nokia.com>  Wed,  6 Jun 2007 16:19:23 +0300
