## tslib 0.1.1-12

=== debian/changelog ===
tslib (0.1.1-12) unstable; urgency=low

  * Fix a boatload of compiler warnings.  Fixes: NB#50817 

 -- Daniel Stone <daniel.stone@nokia.com>  Tue, 18 Sep 2007 15:57:31 +0300

tslib (0.1.1-11) unstable; urgency=low

  * Fix ts_write_calibration return code.

 -- Daniel Stone <daniel.stone@nokia.com>  Thu, 21 Jun 2007 18:36:17 +0300
