=== debian/control ===
Source: tslib
Section: embedded
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), automake | automaken, autoconf, libtool
Standards-Version: 3.9.5
Homepage: http://tslib.berlios.de/
Vcs-SVN: svn://svn.debian.org/pkg-gpe/trunk/tslib/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gpe/trunk/tslib/trunk/

Package: libts-0.0-0
Architecture: linux-any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, tsconf
Conflicts: tslib, libts0
Provides: tslib, libts0
Replaces: tslib, libts0
Multi-Arch: same
Description: touch screen library
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events. Examples of implemented
 filters include jitter smoothing and the calibration transform.

Package: libts-dev
Architecture: linux-any
Section: libdevel
Replaces: libts0
Depends: libts-0.0-0 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: touch screen library, development files
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains the static library and header files used in
 development.

Package: libts-bin
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: touch screen library utilities
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains a few test programs like ts_calibrate that can
 be useful when developing or testing application using touch screens.

Package: libts-0.0-0-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libts-0.0-0 (= ${binary:Version}), libts-bin (= ${binary:Version}), ${misc:Depends}
Description: touch screen library debug symbols
 Tslib is an abstraction layer for touchscreen panel events, as well
 as a filter stack for the manipulation of those events.
 .
 This package contains the debug symbols.

Package: tsconf
Architecture: all
Replaces: libts-0.0-0 (<= 1.0-6)
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: touch screen library common files
 Tslib is an abstraction layer for touchscreen panel events, as well
 as a filter stack for the manipulation of those events.
 .
 This package contains the common files for the shared
 library.
