=== debian/watch ===
version=2
opts=downloadurlmangle=s/prdownload/download/ \
http://developer.berlios.de/project/showfiles.php?group_id=3809 \
http://prdownload.berlios.de/tslib/tslib-(.*)\.tar\.bz2
#http://tslib.berlios.de/ .*/tslib-(.*).tar.bz2
