## tslib 1.9

=== debian/changelog ===
tslib (1.9-1) unstable; urgency=low

  * bump to upstream version 1.9
  * add iir filter symbols, introduced in 1.9
  * add ts_verify's manpage introduced in 1.9
  * remove dh-autoreconf build dependency

 -- Martin Kepplinger <martink@posteo.de>  Fri, 21 Apr 2017 08:28:31 +0100

tslib (1.8-3) unstable; urgency=low

  * libts0 Breaks and Replaces the old tsconf package conffile (Closes: #860100)

 -- Martin Kepplinger <martink@posteo.de>  Wed, 12 Apr 2017 08:01:31 +0100

tslib (1.8-2) unstable; urgency=low

  * switch to debhelper 10
  * remove manual debug package creation
  * add missing ts_setup manpage
  * install missing libts.so to libts-dev package

 -- Martin Kepplinger <martink@posteo.de>  Tue, 11 Apr 2017 12:09:19 +0100

tslib (1.8-1) unstable; urgency=low

  * Initial re-packaging of tslib. (Closes: #845181)
  * remove man pages. they are part of the project now.
  * remove all patches. they are dealt with upstream.
  * use dh and autoreconf in rules.
  * remove tsconf package and include ts.conf in libts.
  * add hardening config.

 -- Martin Kepplinger <martink@posteo.de>  Thu, 23 Mar 2017 11:46:23 +0100
