=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/kergoth/tslib/releases .*/tslib-(\d\.\d)\.tar\.(?:bz2|gz|xz)
