## tslib 1.10

=== debian/changelog ===
tslib (1.10-1) unstable; urgency=low

  * bump to upstream version 1.10 and updates to manpages and symbols

 -- Martin Kepplinger <martink@posteo.de>  Fri, 12 May 2017 10:18:39 +0100
