## tslib 1.11

=== debian/changelog ===
tslib (1.11-1) unstable; urgency=low

  * bump to upstream version 1.11 and add the new manpages

 -- Martin Kepplinger <martink@posteo.de>  Tue, 06 Jun 2017 14:51:03 +0100
