## tslib 1.13

=== debian/changelog ===
tslib (1.13-1) unstable; urgency=low

  * Update to tslib version 1.13
  * Remove patches as they are upstream
  * Add symbols files for hurd-i386, kfreebsd-amd64 and kfreebsd-i386
  * Add new library symbols to symbols files
  * Add new library manpages

 -- Martin Kepplinger <martink@posteo.de>  Thu, 14 Sep 2017 09:23:12 +0100

tslib (1.12-5) unstable; urgency=low

  * Add an upstream patch to fix the build for GNU/kFreeBSD

 -- Martin Kepplinger <martink@posteo.de>  Fri, 01 Sep 2017 07:30:34 +0100

tslib (1.12-4) unstable; urgency=low

  * Verified that 1.12-3 fixes the build (Closes:#873693)
  * Updated copyright information
  * Add desktop files for ts_calibrate and ts_test_mt
  * Add support for hurd and kfreebsd operating systems

 -- Martin Kepplinger <martink@posteo.de>  Thu, 31 Aug 2017 15:08:50 +0100

tslib (1.12-3) unstable; urgency=low

  * Add patch (from upstream) to fix the build

 -- Martin Kepplinger <martink@posteo.de>  Thu, 31 Aug 2017 07:11:24 +0100

tslib (1.12-2) unstable; urgency=low

  * add a configure script fix
  * bump policy standard version to 4.1.0

 -- Martin Kepplinger <martink@posteo.de>  Wed, 30 Aug 2017 11:06:55 +0100

tslib (1.12-1) unstable; urgency=low

  * bump to upstream version 1.12

 -- Martin Kepplinger <martink@posteo.de>  Tue, 29 Aug 2017 19:04:23 +0100
