=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Martin Kepplinger <martink@posteo.de>
 Build-Depends: debhelper (>= 10), automake | automaken, autoconf, libtool
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://tslib.org
 Vcs-Git: https://github.com/merge/tslib-debian
 Vcs-Browser: https://github.com/merge/tslib-debian
 
 Package: libts0
-Architecture: linux-any
+Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -23,7 +23,7 @@
  transform.
 
 Package: libts-dev
-Architecture: linux-any
+Architecture: any
 Section: libdevel
 Depends: libts0 (=${binary:Version}), ${misc:Depends}
 Multi-Arch: same
@@ -35,7 +35,7 @@
  development.
 
 Package: libts-bin
-Architecture: linux-any
+Architecture: any
 Depends: libts0 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Description: touch screen library utilities
