## tslib 1.14

=== debian/changelog ===
tslib (1.14-1) unstable; urgency=low

  * Update to tslib version 1.14

 -- Martin Kepplinger <martink@posteo.de>  Sun, 12 Nov 2017 01:11:42 +0100
