## tslib 1.15

=== debian/changelog ===
tslib (1.15-1) unstable; urgency=low

  * Update to tslib version 1.15
  * Update and check standards version
  * Update symbols files

 -- Martin Kepplinger <martink@posteo.de>  Thu, 11 Jan 2018 15:25:13 +0100
