## tslib 1.16

=== debian/changelog ===
tslib (1.16-1) unstable; urgency=low

  * Update to tslib version 1.16
  * Update and check standards version
  * Update symbols files
  * Update signing key

 -- Martin Kepplinger <martink@posteo.de>  Thu, 19 Apr 2018 15:23:50 +0100
