=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Martin Kepplinger <martink@posteo.de>
 Build-Depends: debhelper (>= 10), automake | automaken, autoconf, libtool
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Homepage: http://tslib.org
 Vcs-Git: https://github.com/merge/tslib-debian
 Vcs-Browser: https://github.com/merge/tslib-debian
