## tslib 1.17

=== debian/changelog ===
tslib (1.17-1) unstable; urgency=low

  * Update to tslib version 1.17
  * Update and check standards version

 -- Martin Kepplinger <martink@posteo.de>  Thu, 06 Sep 2018 11:38:13 +0100
