## tslib 1.18

=== debian/changelog ===
tslib (1.18-2) unstable; urgency=low

  * Add pkg-config build dependency (Closes:#914947)

 -- Martin Kepplinger <martink@posteo.de>  Thu, 29 Nov 2018 13:15:32 +0100

tslib (1.18-1) unstable; urgency=low

  * Update to tslib version 1.18
  * Add patches from upstream to build cleanly
  * Add new symbols to symbols files

 -- Martin Kepplinger <martink@posteo.de>  Tue, 27 Nov 2018 09:20:45 +0100
